#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x90,0x3E,0xAC,0x59,0x18,0x31,0xA4,0x19,0xFC,0x57,0x57,0x38,
		0xBB,0xBB,0x92,0x44,0x00,0x94,0x0C,0xAE,0x7D,0x93,0x96,0x69,
		0x58,0xE9,0xC9,0x8D,0x8E,0x3D,0x05,0xBA,0xC3,0x3D,0x9F,0xBC,
		0x1C,0xDE,0xC7,0xD9,0xC7,0xA8,0x25,0x1B,0x0D,0x2B,0x2B,0xF8,
		0x08,0x4B,0x40,0xA2,0xFE,0xAF,0x18,0xE2,0xE3,0xD7,0xB9,0x57,
		0x80,0x66,0x72,0xBB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
